<?php
/**
 * Created by PhpStorm.
 * User: Admin
 * Date: 09.09.2020
 * Time: 17:53
 */

namespace Diamond\Repositories\MailingTemplate;


use Diamond\Domain\MailingTemplate\MailingTemplateCollection;
use Diamond\Infrastructure\Models\MailingTemplate\MailingTemplate;
use Diamond\Infrastructure\Models\MailingTemplate\MailingTemplateQuery;
use Diamond\Repositories\PropelAbstractRepository;
use Propel\Runtime\ActiveQuery\ModelCriteria;
use Repo\CollectionInterface;
use Repo\CrudRepositoryBuilderInterface;
use Repo\EntityInterface;
use Repo\PaginationInterface;

class MailingTemplateRepository extends PropelAbstractRepository implements CrudRepositoryBuilderInterface
{
    public static function createEntity(): EntityInterface
    {
        return new MailingTemplate();
    }

    protected function createQuery(): ModelCriteria
    {
        return MailingTemplateQuery::create();
    }

    protected function modifyCriteria(PaginationInterface $criteria, ModelCriteria $dbCriteria): void
    {

    }

    protected function createCollection(): CollectionInterface
    {
        return new MailingTemplateCollection();
    }
}